﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Okuma.CLDATAPI.Enumerations;
using OpenNETCF.MTConnect;

namespace Okuma
{
    public abstract class ToolPart : HostedComponentBase
    {
        public SubSystemEnum SubSystem { get; private set; }
        protected ILogService Log { get; set; }

        public override string Name
        {
            get { return "ToolPart"; }
        }

        internal ToolPart(SubSystemEnum subSystem)
            : this(subSystem, null)
        {
        }

        internal ToolPart(SubSystemEnum subSystem, ILogService logService)
        {
            Log = logService;
            SubSystem = subSystem;
        }
    }
}
