﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using OpenNETCF.IoC;
using OpenNETCF.MTConnect;
using MachineSimulator.Interfaces;

namespace MachineSimulator.Presenters
{
    public class SimulationPresenter : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        [ServiceDependency]
        public IMachineInterface Machine { get; set; }

        public SimulationPresenter()
        {
        }

        private void RaisePropertyChanged(string property)
        {
            var handler = PropertyChanged;
            if (handler == null) return;
            handler(this, new PropertyChangedEventArgs(property));
        }
    }
}
